# $Revision: 1.4 $, $Date: 2006/09/04 20:12:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		Validate
%define		_subclass	IS
%define		_status		alpha
%define		_pearname	Validate_IS

Summary:	%{_pearname} - Validation class for Iceland
Summary(pl):	%{_pearname} - Klasa sprawdzajca poprawno dla Islandii
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	1
Epoch:		0
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eb28115c77c0459f05560cd13959a562
URL:		http://pear.php.net/package/Validate_IS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for IS (Iceland) such as:
- SSN
- Postal Code
- Address
- Telephone

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet do sprawdzania poprawnoci dla Islandii danych takich jak:
- numer ubezpieczenia spoecznego (SSN)
- kod pocztowy
- adres
- numer telefonu

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/IS.php
%{php_pear_dir}/data/Validate_IS

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Validate_IS

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_IS.spec,v $
Revision 1.4  2006/09/04 20:12:40  adamg
- updated to 0.2.0

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/28 22:18:44  qboosh
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 16:45:10  adamg
- new
